<?php
/*
 *      this file is a part of GCweb (unoffical web render for GCstar)
 *      Copyright (c) 2007 Jonas Fourquier <http://jonas.tuxfamily.org> and contributors
 *
 *      GCweb is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */
?>
<generatorask>
    <p><?php echo __('Menu de gauche commun à la plupart des pages (<a href="http://jonas.tuxfamily.org/wiki/gcweb/documentation/generateur_de_theme#menu">plus d\'explications</a>)') ?>.</p>

    <ul>
        <li><?php echo __('Section "tri des éléments"') ?> :
            <ul>
                <loop sort><li><?php echo __('Label') ?> : <txt>labelsort</txt>, <?php echo __('champ selon lequel trier') ?> : <champ>valuesort</champ></li></loop>
                <li>→ <addloop sort></li>
            </ul>
        </li>
        <li><?php echo __('Section "recherche rapide"') ?> :
            <ul>
                <loop search><li><?php echo __('Label du champ de recherche') ?> : <txt>labelsearch</txt>, <?php echo __('champ dans lequel chercher') ?> : <champ>valuesearch</champ></li></loop>
                <li>→ <addloop search></li>
            </ul>
        </li>
    </ul>
</generatorask>

<generatorcode>
<?php
/*
 *      File generated by GCweb generator a part of GCweb (unoffical web render for GCstar)
 *      Copyright (c) 2007 Jonas Fourquier <http://jonas.tuxfamily.org>
 *
 *      GCweb is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */
?>
    <div id="menu">

        <div id="infoCollec" class="box">
            <h2><?php aff($collec['title']) ?></h2>
            <p class="description"><?php aff($collec['description']) ?></p>
        </div>

        <div id="navigation" class="box">
            <h2><?php echo __('Navigation') ?></h2>
            <ul>
                <li><a href="<?php echo URLRACINE_GCWEB ?>"><?php echo __('Page d\'accueil') ?></a></li>
                <li><a href="<?php aff_hrefModel('list') ?>"><?php echo __('Toute la collection') ?></a></li>
            </ul>
            <ul>
                <li><a href="<?php aff_hrefModel('cloud') ?>"><?php echo __('Filtres "nuages"') ?></a></li>
            </ul>
        </div>

        <div id="classer" class="box">
            <h2><?php echo __('Classer par') ?></h2>
            <ul>
                <loop sort>
                <li><?php echo __('%%labelsort%%') ?>
                    <a <?php if (isSortKey('%%valuesort%%ASC')) echo 'class="activeSort" '; ?>href="<?php aff_hrefSortBy('%%valuesort%%ASC') ?>">↓</a><a <?php if (isSortKey('%%valuesort%%DSC')) echo 'class="activeSort" '; ?>href="<?php aff_hrefSortBy('%%valuesort%%DSC') ?>">↑</a>
                </li>
                </loop>
            </ul>
        </div>

        <div id="menusearch" class="box">
            <?php aff_search('start') ?>
            <h2><?php echo __('Chercher') ?></h2>
            <p><?php /*afficher la liste de champs de recherche*/ aff_search('keyword') ?></p>
            <p><?php echo __('dans') ?> :
            <?php /*afficher la liste de champs de recherche*/
                aff_search('in_champs',array(
                    <loop search>
                        array('%%valuesearch%%=%s',__('%%labelsearch%%')),
                    </loop>
                    ))
            ?>
            </p>
            <p><?php aff_search('submit') ?></p>
            <?php aff_search('end') ?>
            <p><a href="<?php aff_hrefModel('search') ?>"><?php echo __('Recherche avancée') ?></a></p>
        </div>

        <div id="rss" class="box">
            <h2><?php echo __('S\'abonner') ?></h2>
            <ul class="rss">
                <li><a title="<?php echo __('S\'abonner au flux RSS') ?>" href="<?php aff_hrefModel('rss',False) ?>"><?php echo __('Toute la collection') ?></a></li>
                <li><a title="<?php echo __('S\'abonner au flux RSS') ?>" href="<?php aff_hrefModel('rss',True) ?>"><?php echo __('Éléments affichés') ?></a></li>
            </ul>
        </div>

        <div id="info" class="box">
            <h2><?php echo __('Informations') ?></h2>
            <ul>
                <li>
                <?php
                    if ($collec['nbItems'] == 0)    echo __('aucun élément affiché');
                    elseif ($collec['nbItems'] == 1)echo __('un élément affiché');
                    else                            printf(__('%d éléments affichés'),$collec['nbItems']);
                    echo '<br />';
                    $nbfiltre = $collec['nbItemsBDD'] - $collec['nbItems'];
                    if ($nbfiltre == 0)             echo __('aucun élément filtré');
                    elseif ($nbfiltre == 1)         echo __('un élément filtré');
                    else                            printf (__('%d éléments filtrés'),$nbfiltre);
                ?>
                </li>

                <li><?php printf (__('Collection mise à jour<br />le %s</li>'),strftime(__('%e/%m/%y'),filemtime(DIR_GCWEB.'collections/'.$collec['dir'].$collec['xml']))) ?>
            </ul>
        </div>

    </div>
    <!-- Fin du menu -->
</generatorcode>
